[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.OnAfterSelection

Event handler signalled after a new Selection is made in the grid.

## Declaration

Source position: grids.pas line 1304

`protected property TCustomGrid.OnAfterSelection : TOnSelectEvent read FOnAfterSelection write FOnAfterSelection;`

## Description

OnAfterSelection is a TOnSelectEvent property that is the event handler signalled when the Selection for the control has been moved.

An application can implement and assign an object procedure using the event signature to perform any action needed for the notification. The arguments passed to the event handler include the column and row numbers prior to moving the Selection .